Questo plugin non è stato testato con le ultime 3 versioni principali (major releases) di WordPress. Potrebbe non essere più mantenuto, o supportato, e potrebbe presentare problemi di compatibilità se utilizzato con versioni più recenti di WordPress.

Eazy HTTP Headers

Descrizione

Eazy HTTP Headers provides three check boxes for settings on the general settings page.
Two of the check boxes, activate two functions built into WordPress, send_frame_options_header() & send_nosniff_header(), while the other sets a header for X-XSS Protection.
This allows you to control your sites HTTP Headers for X-Frame-Options & X-Content-Type-Options using functions built into WordPress functions.

Screenshot

  • The Eazy HTTP Headers Settings section on the general settings page

Installazione

  1. Install and activate Eazy HTTP Headers.
  2. Navigate to the General Settings page in the admin.
  3. Look for the Eazy HTTP Settings section towards the bottom.
  4. Check the boxes for the corresponding headers you want to set.

FAQ

Installation Instructions
  1. Install and activate Eazy HTTP Headers.
  2. Navigate to the General Settings page in the admin.
  3. Look for the Eazy HTTP Settings section towards the bottom.
  4. Check the boxes for the corresponding headers you want to set.
How do I know if my sites headers changes?

You can request your sites HTTP Headers by looking at the response to an HTTP request.
securityheaders.io provides an easy to use interface to verify your sites headers.

Recensioni

Non ci sono recensioni per questo plugin.

Contributi e sviluppo

“Eazy HTTP Headers” è un software open source. Le persone che hanno contribuito allo sviluppo di questo plugin sono indicate di seguito.

Collaboratori

Traduci “Eazy HTTP Headers” nella tua lingua.

Ti interessa lo sviluppo?

Esplora il Codice segui il Repository SVN iscriviti al Log delle Modifiche. Puoi farlo tramite RSS con un lettore di feed.

Changelog (registro delle modifiche)

1.1.0

  • Added option for X-XSS Protection
  • Added inline documentation

1.0.0

  • Initial version of plugin.